Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358847 - content packages/NonRHSignedPkg: ends always with needs_action
Summary: content packages/NonRHSignedPkg: ends always with needs_action
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant-el6toel7
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: pstodulk
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks: 1335038
TreeView+ depends on / blocked
 
Reported: 2016-07-21 15:24 UTC by pstodulk
Modified: 2016-11-04 09:01 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-el6toel7-0.6.52-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-11-04 09:01:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2618 normal SHIPPED_LIVE preupgrade-assistant-el6toel7 bug fix and enhancement update 2016-11-03 16:23:57 UTC

Description pstodulk 2016-07-21 15:24:34 UTC
The module ends always as needs_action even when all packages are native. This is because "exit pass branche" is processed in subshell so exit code is catched by the module and it's printed high risk with exit fail code returned.

Expected result:
when all packages are processed as "native"
 - the result will be "PASSED"
 - and file $KICKSTART_DIR will contain always info about "nonrhpkgs" file
   ($KICKSTART_DIR/nonrhpkgs -> currently /root/preupgrade/nonrhpkgs)
 - and log_info is printed (probably it will not be showed in report file but
   should be in new log file - ask phracek about that new file)

Comment 4 Alois Mahdal 2016-10-20 21:37:26 UTC
We have reviewed the specification in comment 0 with Petr; turns out there are some inaccuracies.  Here is the new version:

If all packages are native (signed by Red Hat), result is 'pass' and an INFO message is logged (the message cannot be seen in HTML report but is embedded within XML).  Otherwise (ie. in presence of one or more non-native packages), a HIGH risk (=> needs_action) is logged (no log messages) to warn user about the fact.

In both cases, kickstart README file contains reference to 'nonrhpkg' file, which is a plain list of names of non-native packages (this file is empty in first case).

Comment 5 Alois Mahdal 2016-10-20 21:39:25 UTC
In language of the use case analysis:

Legend

 *  INPUT: nonnat - number of non-native packages
 *  BEHAVIOR: risk - number of risks
 *  BEHAVIOR: info - number of info messages
 *  BEHAVIOR: ref - reference to file 'nonrhpkgs' in kickstart/README
 *  BEHAVIOR: result - overall xccdf result

table:

    INPUT  || BEHAVIOR
    -------||------.------.-----.---------
    nonnat || risk | info | ref | result
    =======||======|======|=====|=========
    0      ||    0 |    1 | yes | pass
    > 0    ||    1 |    0 | yes | needs_action

Comment 6 Alois Mahdal 2016-10-20 21:43:48 UTC
Verified with preupgrade-assistant-el6toel7-0.6.59-4.el6

Behavior is exactly as described in last 2 comments.  (The actual text of messages was reviewed manually by me.)

Comment 8 errata-xmlrpc 2016-11-04 09:01:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2618.html


Note You need to log in before you can comment on or make changes to this bug.